unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes,
  Vcl.Graphics, Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.ExtCtrls, Vcl.StdCtrls, dmChart;

type
  TForm1 = class(TForm)
    Image1: TImage;
    Panel1: TPanel;
    btnUpdateImage: TButton;
    procedure btnUpdateImageClick(Sender: TObject);
  private
    FdmChart: TdmChartImage;
    procedure UpdateImage;
  protected
    procedure Resize; override;
  public
    { Public declarations }
    constructor Create(aOwner: TComponent); override;
  end;

var
  Form1: TForm1;

implementation

uses
  math;

{$R *.dfm}


procedure TForm1.btnUpdateImageClick(Sender: TObject);
begin
  UpdateImage;
end;

constructor TForm1.Create(aOwner: TComponent);
begin
  inherited;
  FdmChart := TdmChartImage.Create(self);
end;

procedure TForm1.Resize;
begin
  inherited;
  UpdateImage;
end;


procedure TForm1.UpdateImage;
var
  lbmp: TBitmap;
begin
  lbmp := TBitmap.Create;
  try
    lbmp.SetSize(Image1.Width, Image1.Height);
    FdmChart.CreateImage(lbmp);
    Image1.Picture.Graphic := lbmp;
  finally
    lbmp.Free;
  end;
end;

end.
